Package org.bukkit.inventory

# Class BlastingRecipe

java.lang.Object
org.bukkit.inventory.CookingRecipe<BlastingRecipe>
org.bukkit.inventory.BlastingRecipe

All Implemented Interfaces:
  `Recipe`, `Keyed`

public class BlastingRecipe extends CookingRecipe<BlastingRecipe>
Represents a campfire recipe.

## Constructor Summary

Constructors
Constructor
Description
`BlastingRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice input, float experience, int cookingTime)`
`BlastingRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull Material source, float experience, int cookingTime)`

## Method Summary

### Methods inherited from class org.bukkit.inventory.CookingRecipe

`getCookingTime, getExperience, getGroup, getInput, getInputChoice, getKey, getResult, setCookingTime, setExperience, setGroup, setInput, setInputChoice`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlastingRecipe

public BlastingRecipe(@NotNull @NotNull NamespacedKey key, @NotNull @NotNull ItemStack result, @NotNull @NotNull Material source, float experience, int cookingTime)

### BlastingRecipe

public BlastingRecipe(@NotNull @NotNull NamespacedKey key, @NotNull @NotNull ItemStack result, @NotNull @NotNull RecipeChoice input, float experience, int cookingTime)